Skip to main content
`Ctrl`+`K`

# MatPartitioningSetUseEdgeWeights

Set a flag to indicate whether or not to use edge weights.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningSetUseEdgeWeights(MatPartitioning part, PetscBool use_edge_weights)

Logically Collective

## Input Parameters

- part - the partitioning context

- use_edge_weights - the flag indicateing whether or not to use edge weights. By default no edge weights will be used, that is, use_edge_weights is set to FALSE. If set use_edge_weights to TRUE, users need to make sure legal edge weights are stored in an ADJ matrix.

## Options Database Key

- -mat_partitioning_use_edge_weights - (true or false)

## See Also

Matrices, `Mat`, `MatPartitioning`, `MatPartitioningCreate()`, `MatPartitioningSetType()`, `MatPartitioningSetVertexWeights()`, `MatPartitioningSetPartitionWeights()`

## Level

beginner

## Location

src/mat/graphops/partition/partition.c

## Examples

src/mat/tutorials/ex15.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages